ALLEGRO_EVENT_SOURCE(3)

NAME

ALLEGRO_EVENT_SOURCE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef struct ALLEGRO_EVENT_SOURCE ALLEGRO_EVENT_SOURCE;

DESCRIPTION

An event source is any object which can generate events. For example, an ALLEGRO_DISPLAY can generate events, and you can get the ALLEGRO_EVENT_SOURCE pointer from an ALLEGRO_DISPLAY with al_get_display_event_source(3).

You may create your own "user" event sources that emit custom events.

SEE ALSO

ALLEGRO_EVENT(3), al_init_user_event_source(3), al_emit_user_event(3)